import 'package:flutter/material.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/pages/people_on_the_property_page/people_on_the_property_page_widget.dart';
import 'package:hub/shared/helpers/storage/base_storage.dart';
import 'package:hub/shared/helpers/storage/storage_helper.dart';


class PeopleOnThePropertyPageModel extends FlutterFlowModel<PeopleOnThePropertyPage> {
  PeopleOnThePropertyPageModel({this.onRefresh});
  late final VoidCallback? onRefresh;

  final unfocusNode = FocusNode();
  late final String devUUID;
  late final String cliUUID;

  @override
  void initState(BuildContext context) {
    initVariables();
  }

  void initVariables() async {
    devUUID = (await StorageHelper().g(KeychainStorageKey.devUUID.value)) ?? '';
    cliUUID = (await StorageHelper().g(KeychainStorageKey.clientUUID.value)) ?? '';
    onRefresh?.call();
  }

  @override
  void dispose() {
    unfocusNode.dispose();
  }
}
